package cn.com.usky.iot.alarm.service;

public interface YtiotVAlarmService {
	String getHjVList(String queryJson, String page, String start, String limit, String sort) throws Exception;
	String getSjVList(String queryJson, String page, String start, String limit, String sort) throws Exception;
	String getRtuVList(String queryJson, String page, String start, String limit, String sort) throws Exception;
	String getEFireVList(String queryJson, String page, String start, String limit, String sort) throws Exception;
	String getLiftVList(String queryJson, String page, String start, String limit, String sort) throws Exception;
	String getConfirmStatus(String queryJson) throws Exception;
	String getConfirmStatusByDays(String queryJson) throws Exception;
	String updateHj(String queryJson) throws Exception;
	String updateEf(String queryJson) throws Exception;
	String updateSj(String queryJson) throws Exception;
	String updateLift(String queryJson) throws Exception;
	String updateRtu(String queryJson) throws Exception;
	String getVideoList(String queryJson) throws Exception;
	String getSyncfireAlarmFexcelList(String queryJson) throws Exception;
	String getSyncEfireAlarmFexcelList(String queryJson) throws Exception;
	String getSyncWaterAlarmFexcelList(String queryJson) throws Exception;
	String getSyncRTUAlarmFexcelList(String queryJson) throws Exception;


	String getVideoLists(String queryJson, String page, String start, String limit, String sort);

    String updateVideo(String queryJson) throws Exception;

    String getVideoOfflineList(String queryJson, String page, String start, String limit, String sort)throws Exception;

	String updateVideoOffline(String queryJson)throws Exception;
	String updateIndexAlarm(String queryJson) throws Exception;
	String getHjOfflineList(String queryJson, String page, String start, String limit, String sort) throws Exception;
	String getWjAlarmList(String queryJson, String page, String start, String limit, String sort) throws Exception;
	String getWjDeviceList(String queryJson, String page, String start, String limit, String sort) throws Exception;
	String getWjDataStatisticsList(String queryJson, String page, String start, String limit, String sort) throws Exception;
	String getWjDeviceInfoList(String queryJson, String page, String start, String limit, String sort) throws Exception;
	String updateWjAlarm(String queryJson) throws Exception;
}
